Множественные уязвимости в Apple Safari

Дата публикации:
13.05.2009
Дата изменения:
30.05.2009
Всего просмотров:
2414
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2008-3529
CVE-2009-0945
CVE-2009-0162
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Safari 3.x
Safari for Windows 3.x
Уязвимые версии: Apple Safari версии до 3.2.3.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю скомпрометировать целевую систему.

1. Уязвимость существует из-за ошибки проверки границ данных в библиотеке libxml. Удаленный пользователь может с помощью специально сформированного Web сайта вызвать переполнение динамической памяти и выполнить произвольный код на целевой системе. Подробное описание уязвимости:
www.securitylab.ru/vulnerability/358341.php #2

2. Уязвимость существует из-за различных ошибок при обработке "feed:" URL. Удаленный пользователь может выполнить произвольный JavaScript код на целевой системе с повышенными привилегиями.

3. Уязвимость существует из-за ошибки проверки границ данных в WebKit при обработке SVGList объектов. Удаленный пользователь может вызвать повреждение памяти и выполнить произвольный код на целевой системе.

URL производителя: www.apple.com

Решение: Установите последнюю версию 3.2.3 с сайта производителя.

Журнал изменений:

30.05.2009
Добавлен PoC код.

Ссылки: About the security content of Safari 3.2.3
ZDI-09-022: Apple Safari Malformed SVGList Parsing Code Execution Vulnerability
Safari RSS feed:// Buffer Overflow via libxml2 Exploit PoC

или введите имя

CAPTCHA